Skip to content

List Repo Bindings

GET /repo-bindings
NameInTypeNotes
installation_idqueryinteger | nulloptional—
repo_full_namequerystring | nulloptionalowner/name, compared without regard to case
agent_idquerystring (uuid) | nulloptionalbindings that name this agent as reviewer or editor
is_activequeryboolean | nulloptional—
limitqueryintegeroptionalDefault 50. min 1 max 200
cursorquerystring | nulloptional—
offsetqueryinteger | nulloptionalmin 0
StatusDescriptionBody
200Successful ResponsePage_RepoBindingView_
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/repo-bindings \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
itemsRepoBindingView[]required—
next_cursorstring | nulloptional—
totalinteger | nulloptional—